gnutls_x509_crq_privkey_sign(3)

NAME
gnutls_x509_crq_privkey_sign - API function

SYNOPSIS
#include <gnutls/abstract.h>

int gnutls_x509_crq_privkey_sign(gnutls_x509_crq_t crq, gnutls_privkey_t key, gnutls_digest_algorithm_t dig, unsigned int flags);

ARGUMENTS

gnutls_x509_crq_t crq
    should contain a gnutls_x509_crq_t structure

gnutls_privkey_t key
    holds a private key

gnutls_digest_algorithm_t dig
    The message digest to use, i.e., GNUTLS_DIG_SHA1

unsigned int flags
    must be 0

DESCRIPTION
This function will sign the certificate request with a private key. This must be the same key as the one used in gnutls_x509_crt_set_key() since a certificate request is self signed. This must be the last step in a certificate request generation since all the previously set parameters are now signed.

RETURNS
GNUTLS_E_SUCCESS on success, otherwise a negative error code. GNUTLS_E_ASN1_VALUE_NOT_FOUND is returned if you didn't set all information in the certificate request (e.g., the version using gnutls_x509_crq_set_version()).

SINCE
2.12.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2001-2013 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/